summaryrefslogtreecommitdiffstats
path: root/.unittests
diff options
context:
space:
mode:
Diffstat (limited to '.unittests')
-rwxr-xr-x.unittests33
1 files changed, 33 insertions, 0 deletions
diff --git a/.unittests b/.unittests
new file mode 100755
index 0000000..fcd066a
--- /dev/null
+++ b/.unittests
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Copyright (c) 2013 Red Hat, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+TOP_DIR=$(python -c "import os; print os.path.dirname(os.path.realpath('$0'))")
+
+python -c 'from distutils.version import LooseVersion as Ver; import nose, sys; sys.exit(0 if Ver(nose.__version__) >= Ver("1.2.0") else 1)'
+if [ $? != 0 ]; then
+ cover_branches=""
+else
+ # Having the HTML reports is REALLY useful for achieving 100% branch
+ # coverage.
+ cover_branches="--cover-branches --cover-html --cover-html-dir=$TOP_DIR/cover"
+fi
+cd $TOP_DIR/test/unit
+nosetests -v --exe --with-coverage --cover-package gluster. --cover-erase $cover_branches $@
+rvalue=$?
+rm -f .coverage
+cd -
+exit $rvalue